> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dittowords.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch projects

> Returns a list of Ditto projects in your workspace.



## OpenAPI

````yaml openapi.json get /projects
openapi: 3.0.0
info:
  version: 1.0.0
  title: Ditto API
  description: Programmatically read and write data in your Ditto workspace.
servers:
  - url: https://api.dittowords.com/v2
security: []
paths:
  /projects:
    get:
      tags:
        - Projects
      summary: Fetch projects
      description: Returns a list of Ditto projects in your workspace.
      responses:
        '200':
          description: Returns an array of projects in the workspace
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: The Developer ID of the project
                    name:
                      type: string
                      description: The name of the project
                  required:
                    - id
                    - name
                example:
                  - id: my-first-project
                    name: My First Project
                  - id: my-second-project
                    name: My Second Project
                  - id: project-in-folder
                    name: Project in Folder
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````